## jxtray.dump
Class JxtDumpStrategy

    java.lang.Object
      jxtray.dump.JxtDumpStrategy

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  JxtCSVDumpStrategy, JxtHTMLDumpStrategy, JxtSQLDumpStrategy, JxtXMLDumpStrategy

public abstract class JxtDumpStrategy
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected java.sql.Connection` `_connection`
`protected int` `_cpt`
`protected java.lang.String` `_filename`
`protected boolean` `_finished`
`protected java.lang.String` `_lib`
`protected DumperListener` `_listener`
`protected WriterContext` `_output`
`protected java.lang.String` `_table`
`protected java.lang.Thread` `_thread`

Constructor Summary
`JxtDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection connection, java.lang.String lib, java.lang.String table, WriterContext writer)`

Method Summary
`void` `dump()`
`protected abstract void` `dumpData()`
`protected abstract void` `dumpStructure()`
`java.lang.String` `getName()`
`boolean` `isFinished()`
`void` `run()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _thread

    protected java.lang.Thread _thread

### _finished

    protected boolean _finished

### _cpt

    protected int _cpt

### _listener

    protected DumperListener _listener

### _connection

    protected java.sql.Connection _connection

### _lib

    protected java.lang.String _lib

### _table

    protected java.lang.String _table

### _filename

    protected java.lang.String _filename

### _output

    protected WriterContext _output

Constructor Detail

### JxtDumpStrategy

    public JxtDumpStrategy(java.lang.String filename,
                           DumperListener listener,
                           java.sql.Connection connection,
                           java.lang.String lib,
                           java.lang.String table,
                           WriterContext writer)

Method Detail

### getName

    public java.lang.String getName()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### dump

    public void dump()

### dumpData

    protected abstract void dumpData()

### dumpStructure

    protected abstract void dumpStructure()

### stop

    public void stop()

### isFinished

    public boolean isFinished()